diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/class-wp-upgrader.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/includes/class-wp-upgrader.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/class-wp-upgrader.php	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/includes/class-wp-upgrader.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 496,506 ****
  			$this->skin->plugin_info = get_plugin_data( WP_PLUGIN_DIR . '/' . $plugin, false, true);
  
  			if ( !isset( $current->response[ $plugin ] ) ) {
! 				$this->skin->set_result(false);
  				$this->skin->before();
! 				$this->skin->error('up_to_date');
  				$this->skin->after();
! 				$results[$plugin] = false;
  				continue;
  			}
  
--- 496,506 ----
  			$this->skin->plugin_info = get_plugin_data( WP_PLUGIN_DIR . '/' . $plugin, false, true);
  
  			if ( !isset( $current->response[ $plugin ] ) ) {
! 				$this->skin->set_result(true);
  				$this->skin->before();
! 				$this->skin->feedback('up_to_date');
  				$this->skin->after();
! 				$results[$plugin] = true;
  				continue;
  			}
  
***************
*** 763,772 ****
  			return $this->result;
  
  		// Force refresh of theme update information
! 		delete_site_transient('update_themes');
! 		search_theme_directories( true );
! 		foreach ( wp_get_themes() as $theme )
! 			$theme->cache_delete();
  
  		return true;
  	}
--- 763,769 ----
  			return $this->result;
  
  		// Force refresh of theme update information
! 		wp_clean_themes_cache();
  
  		return true;
  	}
***************
*** 812,821 ****
  			return $this->result;
  
  		// Force refresh of theme update information
! 		delete_site_transient('update_themes');
! 		search_theme_directories( true );
! 		foreach ( wp_get_themes() as $theme )
! 			$theme->cache_delete();
  
  		return true;
  	}
--- 809,815 ----
  			return $this->result;
  
  		// Force refresh of theme update information
! 		wp_clean_themes_cache();
  
  		return true;
  	}
***************
*** 857,873 ****
  		foreach ( $themes as $theme ) {
  			$this->update_current++;
  
  			if ( !isset( $current->response[ $theme ] ) ) {
! 				$this->skin->set_result(false);
  				$this->skin->before();
! 				$this->skin->error('up_to_date');
  				$this->skin->after();
! 				$results[$theme] = false;
  				continue;
  			}
  
- 			$this->skin->theme_info = $this->theme_info($theme);
- 
  			// Get the URL to the zip file
  			$r = $current->response[ $theme ];
  
--- 851,867 ----
  		foreach ( $themes as $theme ) {
  			$this->update_current++;
  
+ 			$this->skin->theme_info = $this->theme_info($theme);
+ 
  			if ( !isset( $current->response[ $theme ] ) ) {
! 				$this->skin->set_result(true);
  				$this->skin->before();
! 				$this->skin->feedback('up_to_date');
  				$this->skin->after();
! 				$results[$theme] = true;
  				continue;
  			}
  
  			// Get the URL to the zip file
  			$r = $current->response[ $theme ];
  
***************
*** 902,911 ****
  		remove_filter('upgrader_clear_destination', array(&$this, 'delete_old_theme'), 10, 4);
  
  		// Force refresh of theme update information
! 		delete_site_transient('update_themes');
! 		search_theme_directories( true );
! 		foreach ( wp_get_themes() as $theme )
! 			$theme->cache_delete();
  
  		return $results;
  	}
--- 896,902 ----
  		remove_filter('upgrader_clear_destination', array(&$this, 'delete_old_theme'), 10, 4);
  
  		// Force refresh of theme update information
! 		wp_clean_themes_cache();
  
  		return $results;
  	}
***************
*** 962,974 ****
  		if ( $theme != get_stylesheet() ) // If not current
  			return $return;
  
! 		// Ensure stylesheet name hasnt changed after the upgrade:
! 		// @TODO: Note, This doesn't handle the Template changing, or the Template name changing.
  		if ( $theme == get_stylesheet() && $theme != $this->result['destination_name'] ) {
! 			$theme_info = $this->theme_info();
  			$stylesheet = $this->result['destination_name'];
! 			$template = $theme_info->get_template();
! 			switch_theme($template, $stylesheet, true);
  		}
  
  		//Time to remove maintenance mode
--- 953,963 ----
  		if ( $theme != get_stylesheet() ) // If not current
  			return $return;
  
! 		// Ensure stylesheet name hasn't changed after the upgrade:
  		if ( $theme == get_stylesheet() && $theme != $this->result['destination_name'] ) {
! 			wp_clean_themes_cache();
  			$stylesheet = $this->result['destination_name'];
! 			switch_theme( $stylesheet );
  		}
  
  		//Time to remove maintenance mode
***************
*** 1206,1214 ****
  			'activate_plugin' => '<a href="' . wp_nonce_url('plugins.php?action=activate&amp;plugin=' . $this->plugin, 'activate-plugin_' . $this->plugin) . '" title="' . esc_attr__('Activate this plugin') . '" target="_parent">' . __('Activate Plugin') . '</a>',
  			'plugins_page' => '<a href="' . self_admin_url('plugins.php') . '" title="' . esc_attr__('Go to plugins page') . '" target="_parent">' . __('Return to Plugins page') . '</a>'
  		);
! 		if ( $this->plugin_active )
! 			unset( $update_actions['activate_plugin'] );
! 		if ( ! $this->result || is_wp_error($this->result) )
  			unset( $update_actions['activate_plugin'] );
  
  		$update_actions = apply_filters('update_plugin_complete_actions', $update_actions, $this->plugin);
--- 1195,1201 ----
  			'activate_plugin' => '<a href="' . wp_nonce_url('plugins.php?action=activate&amp;plugin=' . $this->plugin, 'activate-plugin_' . $this->plugin) . '" title="' . esc_attr__('Activate this plugin') . '" target="_parent">' . __('Activate Plugin') . '</a>',
  			'plugins_page' => '<a href="' . self_admin_url('plugins.php') . '" title="' . esc_attr__('Go to plugins page') . '" target="_parent">' . __('Return to Plugins page') . '</a>'
  		);
! 		if ( $this->plugin_active || ! $this->result || is_wp_error( $this->result ) || ! current_user_can( 'activate_plugins' ) )
  			unset( $update_actions['activate_plugin'] );
  
  		$update_actions = apply_filters('update_plugin_complete_actions', $update_actions, $this->plugin);
***************
*** 1301,1308 ****
  
  	function before($title = '') {
  		$this->in_loop = true;
! 		printf( '<h4>' . $this->upgrader->strings['skin_before_update_header'] . ' <img alt="" src="' . admin_url( 'images/wpspin_light.gif' ) . '" class="hidden waiting-' . $this->upgrader->update_current . '" style="vertical-align:middle;" /></h4>',  $title, $this->upgrader->update_current, $this->upgrader->update_count);
! 		echo '<script type="text/javascript">jQuery(\'.waiting-' . esc_js($this->upgrader->update_current) . '\').show();</script>';
  		echo '<div class="update-messages hide-if-js" id="progress-' . esc_attr($this->upgrader->update_current) . '"><p>';
  		$this->flush_output();
  	}
--- 1288,1295 ----
  
  	function before($title = '') {
  		$this->in_loop = true;
! 		printf( '<h4>' . $this->upgrader->strings['skin_before_update_header'] . ' <span class="spinner waiting-' . $this->upgrader->update_current . '"></span></h4>',  $title, $this->upgrader->update_current, $this->upgrader->update_count);
! 		echo '<script type="text/javascript">jQuery(\'.waiting-' . esc_js($this->upgrader->update_current) . '\').css("display", "inline-block");</script>';
  		echo '<div class="update-messages hide-if-js" id="progress-' . esc_attr($this->upgrader->update_current) . '"><p>';
  		$this->flush_output();
  	}
***************
*** 1362,1367 ****
--- 1349,1356 ----
  			'plugins_page' => '<a href="' . self_admin_url('plugins.php') . '" title="' . esc_attr__('Go to plugins page') . '" target="_parent">' . __('Return to Plugins page') . '</a>',
  			'updates_page' => '<a href="' . self_admin_url('update-core.php') . '" title="' . esc_attr__('Go to WordPress Updates page') . '" target="_parent">' . __('Return to WordPress Updates') . '</a>'
  		);
+ 		if ( ! current_user_can( 'activate_plugins' ) )
+ 			unset( $update_actions['plugins_page'] );
  
  		$update_actions = apply_filters('update_bulk_plugins_complete_actions', $update_actions, $this->plugin_info);
  		if ( ! empty($update_actions) )
***************
*** 1395,1400 ****
--- 1384,1391 ----
  			'themes_page' => '<a href="' . self_admin_url('themes.php') . '" title="' . esc_attr__('Go to themes page') . '" target="_parent">' . __('Return to Themes page') . '</a>',
  			'updates_page' => '<a href="' . self_admin_url('update-core.php') . '" title="' . esc_attr__('Go to WordPress Updates page') . '" target="_parent">' . __('Return to WordPress Updates') . '</a>'
  		);
+ 		if ( ! current_user_can( 'switch_themes' ) && ! current_user_can( 'edit_theme_options' ) )
+ 			unset( $update_actions['themes_page'] );
  
  		$update_actions = apply_filters('update_bulk_theme_complete_actions', $update_actions, $this->theme_info );
  		if ( ! empty($update_actions) )
***************
*** 1456,1464 ****
  			$install_actions['plugins_page'] = '<a href="' . self_admin_url('plugins.php') . '" title="' . esc_attr__('Return to Plugins page') . '" target="_parent">' . __('Return to Plugins page') . '</a>';
  
  		if ( ! $this->result || is_wp_error($this->result) ) {
  			unset( $install_actions['activate_plugin'] );
- 			unset( $install_actions['network_activate'] );
  		}
  		$install_actions = apply_filters('install_plugin_complete_actions', $install_actions, $this->api, $plugin_file);
  		if ( ! empty($install_actions) )
  			$this->feedback(implode(' | ', (array)$install_actions));
--- 1447,1457 ----
  			$install_actions['plugins_page'] = '<a href="' . self_admin_url('plugins.php') . '" title="' . esc_attr__('Return to Plugins page') . '" target="_parent">' . __('Return to Plugins page') . '</a>';
  
  		if ( ! $this->result || is_wp_error($this->result) ) {
+ 			unset( $install_actions['activate_plugin'], $install_actions['network_activate'] );
+ 		} elseif ( ! current_user_can( 'activate_plugins' ) ) {
  			unset( $install_actions['activate_plugin'] );
  		}
+ 
  		$install_actions = apply_filters('install_plugin_complete_actions', $install_actions, $this->api, $plugin_file);
  		if ( ! empty($install_actions) )
  			$this->feedback(implode(' | ', (array)$install_actions));
***************
*** 1509,1515 ****
  			'preview'    => 1,
  			'template'   => urlencode( $template ),
  			'stylesheet' => urlencode( $stylesheet ),
! 		), trailingslashit( get_home_url() ) );
  
  		$activate_link = add_query_arg( array(
  			'action'     => 'activate',
--- 1502,1508 ----
  			'preview'    => 1,
  			'template'   => urlencode( $template ),
  			'stylesheet' => urlencode( $stylesheet ),
! 		), trailingslashit( home_url() ) );
  
  		$activate_link = add_query_arg( array(
  			'action'     => 'activate',
***************
*** 1524,1537 ****
  		$install_actions['activate'] = '<a href="' . esc_url( $activate_link ) . '" class="activatelink" title="' . esc_attr( sprintf( __('Activate &#8220;%s&#8221;'), $name ) ) . '">' . __('Activate') . '</a>';
  
  		if ( is_network_admin() && current_user_can( 'manage_network_themes' ) )
! 			$install_actions['network_enable'] = '<a href="' . esc_url( wp_nonce_url( 'themes.php?action=enable&amp;theme=' . $stylesheet, 'enable-theme_' . $stylesheet ) ) . '" title="' . esc_attr__( 'Enable this theme for all sites in this network' ) . '" target="_parent">' . __( 'Network Enable' ) . '</a>';
  
  		if ( $this->type == 'web' )
  			$install_actions['themes_page'] = '<a href="' . self_admin_url('theme-install.php') . '" title="' . esc_attr__('Return to Theme Installer') . '" target="_parent">' . __('Return to Theme Installer') . '</a>';
! 		else
  			$install_actions['themes_page'] = '<a href="' . self_admin_url('themes.php') . '" title="' . esc_attr__('Themes page') . '" target="_parent">' . __('Return to Themes page') . '</a>';
  
! 		if ( ! $this->result || is_wp_error($this->result) || is_network_admin() )
  			unset( $install_actions['activate'], $install_actions['preview'] );
  
  		$install_actions = apply_filters('install_theme_complete_actions', $install_actions, $this->api, $stylesheet, $theme_info);
--- 1517,1530 ----
  		$install_actions['activate'] = '<a href="' . esc_url( $activate_link ) . '" class="activatelink" title="' . esc_attr( sprintf( __('Activate &#8220;%s&#8221;'), $name ) ) . '">' . __('Activate') . '</a>';
  
  		if ( is_network_admin() && current_user_can( 'manage_network_themes' ) )
! 			$install_actions['network_enable'] = '<a href="' . esc_url( wp_nonce_url( 'themes.php?action=enable&amp;theme=' . urlencode( $stylesheet ), 'enable-theme_' . $stylesheet ) ) . '" title="' . esc_attr__( 'Enable this theme for all sites in this network' ) . '" target="_parent">' . __( 'Network Enable' ) . '</a>';
  
  		if ( $this->type == 'web' )
  			$install_actions['themes_page'] = '<a href="' . self_admin_url('theme-install.php') . '" title="' . esc_attr__('Return to Theme Installer') . '" target="_parent">' . __('Return to Theme Installer') . '</a>';
! 		elseif ( current_user_can( 'switch_themes' ) || current_user_can( 'edit_theme_options' ) )
  			$install_actions['themes_page'] = '<a href="' . self_admin_url('themes.php') . '" title="' . esc_attr__('Themes page') . '" target="_parent">' . __('Return to Themes page') . '</a>';
  
! 		if ( ! $this->result || is_wp_error($this->result) || is_network_admin() || ! current_user_can( 'switch_themes' ) )
  			unset( $install_actions['activate'], $install_actions['preview'] );
  
  		$install_actions = apply_filters('install_theme_complete_actions', $install_actions, $this->api, $stylesheet, $theme_info);
***************
*** 1573,1579 ****
  				'preview'    => 1,
  				'template'   => urlencode( $template ),
  				'stylesheet' => urlencode( $stylesheet ),
! 			), trailingslashit( get_home_url() ) );
  
  			$activate_link = add_query_arg( array(
  				'action'     => 'activate',
--- 1566,1572 ----
  				'preview'    => 1,
  				'template'   => urlencode( $template ),
  				'stylesheet' => urlencode( $stylesheet ),
! 			), trailingslashit( home_url() ) );
  
  			$activate_link = add_query_arg( array(
  				'action'     => 'activate',
***************
*** 1583,1590 ****
  			$activate_link = wp_nonce_url( $activate_link, 'switch-theme_' . $stylesheet );
  
  			if ( get_stylesheet() == $stylesheet ) {
! 				$update_actions['preview']  = '<a href="' . wp_customize_url( $stylesheet ) . '" class="hide-if-no-customize load-customize" title="' . esc_attr( sprintf( __('Customize &#8220;%s&#8221;'), $name ) ) . '">' . __('Customize') . '</a>';
! 			} else {
  				$update_actions['preview']  = '<a href="' . esc_url( $preview_link ) . '" class="hide-if-customize" title="' . esc_attr( sprintf( __('Preview &#8220;%s&#8221;'), $name ) ) . '">' . __('Preview') . '</a>';
  				$update_actions['preview'] .= '<a href="' . wp_customize_url( $stylesheet ) . '" class="hide-if-no-customize load-customize" title="' . esc_attr( sprintf( __('Preview &#8220;%s&#8221;'), $name ) ) . '">' . __('Live Preview') . '</a>';
  				$update_actions['activate'] = '<a href="' . esc_url( $activate_link ) . '" class="activatelink" title="' . esc_attr( sprintf( __('Activate &#8220;%s&#8221;'), $name ) ) . '">' . __('Activate') . '</a>';
--- 1576,1584 ----
  			$activate_link = wp_nonce_url( $activate_link, 'switch-theme_' . $stylesheet );
  
  			if ( get_stylesheet() == $stylesheet ) {
! 				if ( current_user_can( 'edit_theme_options' ) )
! 					$update_actions['preview']  = '<a href="' . wp_customize_url( $stylesheet ) . '" class="hide-if-no-customize load-customize" title="' . esc_attr( sprintf( __('Customize &#8220;%s&#8221;'), $name ) ) . '">' . __('Customize') . '</a>';
! 			} elseif ( current_user_can( 'switch_themes' ) ) {
  				$update_actions['preview']  = '<a href="' . esc_url( $preview_link ) . '" class="hide-if-customize" title="' . esc_attr( sprintf( __('Preview &#8220;%s&#8221;'), $name ) ) . '">' . __('Preview') . '</a>';
  				$update_actions['preview'] .= '<a href="' . wp_customize_url( $stylesheet ) . '" class="hide-if-no-customize load-customize" title="' . esc_attr( sprintf( __('Preview &#8220;%s&#8221;'), $name ) ) . '">' . __('Live Preview') . '</a>';
  				$update_actions['activate'] = '<a href="' . esc_url( $activate_link ) . '" class="activatelink" title="' . esc_attr( sprintf( __('Activate &#8220;%s&#8221;'), $name ) ) . '">' . __('Activate') . '</a>';
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/class-wp-users-list-table.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/includes/class-wp-users-list-table.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/class-wp-users-list-table.php	2012-10-29 12:35:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/includes/class-wp-users-list-table.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 12,28 ****
  	var $site_id;
  	var $is_site_users;
  
! 	function __construct() {
! 		$screen = get_current_screen();
! 		$this->is_site_users = 'site-users-network' == $screen->id;
! 
! 		if ( $this->is_site_users )
! 			$this->site_id = isset( $_REQUEST['id'] ) ? intval( $_REQUEST['id'] ) : 0;
! 
  		parent::__construct( array(
  			'singular' => 'user',
! 			'plural'   => 'users'
  		) );
  	}
  
  	function ajax_user_can() {
--- 12,28 ----
  	var $site_id;
  	var $is_site_users;
  
! 	function __construct( $args = array() ) {
  		parent::__construct( array(
  			'singular' => 'user',
! 			'plural'   => 'users',
! 			'screen'   => isset( $args['screen'] ) ? $args['screen'] : null,
  		) );
+ 
+ 		$this->is_site_users = 'site-users-network' == $this->screen->id;
+ 
+ 		if ( $this->is_site_users )
+ 			$this->site_id = isset( $_REQUEST['id'] ) ? intval( $_REQUEST['id'] ) : 0;
  	}
  
  	function ajax_user_can() {
***************
*** 35,41 ****
  	function prepare_items() {
  		global $role, $usersearch;
  
! 		$usersearch = isset( $_REQUEST['s'] ) ? $_REQUEST['s'] : '';
  
  		$role = isset( $_REQUEST['role'] ) ? $_REQUEST['role'] : '';
  
--- 35,41 ----
  	function prepare_items() {
  		global $role, $usersearch;
  
! 		$usersearch = isset( $_REQUEST['s'] ) ? trim( $_REQUEST['s'] ) : '';
  
  		$role = isset( $_REQUEST['role'] ) ? $_REQUEST['role'] : '';
  
***************
*** 136,153 ****
  	function extra_tablenav( $which ) {
  		if ( 'top' != $which )
  			return;
! 		if ( ! current_user_can( 'promote_users' ) )
! 			return;
! ?>
  	<div class="alignleft actions">
  		<label class="screen-reader-text" for="new_role"><?php _e( 'Change role to&hellip;' ) ?></label>
  		<select name="new_role" id="new_role">
  			<option value=''><?php _e( 'Change role to&hellip;' ) ?></option>
  			<?php wp_dropdown_roles(); ?>
  		</select>
! 		<?php submit_button( __( 'Change' ), 'secondary', 'changeit', false ); ?>
! 	</div>
! <?php
  	}
  
  	function current_action() {
--- 136,155 ----
  	function extra_tablenav( $which ) {
  		if ( 'top' != $which )
  			return;
! 	?>
  	<div class="alignleft actions">
+ 		<?php if ( current_user_can( 'promote_users' ) ) : ?>
  		<label class="screen-reader-text" for="new_role"><?php _e( 'Change role to&hellip;' ) ?></label>
  		<select name="new_role" id="new_role">
  			<option value=''><?php _e( 'Change role to&hellip;' ) ?></option>
  			<?php wp_dropdown_roles(); ?>
  		</select>
! 	<?php
! 			submit_button( __( 'Change' ), 'button', 'changeit', false );
! 		endif;
! 
! 		do_action( 'restrict_manage_users' );
! 		echo '</div>';
  	}
  
  	function current_action() {
***************
*** 191,201 ****
  		if ( ! $this->is_site_users )
  			$post_counts = count_many_users_posts( array_keys( $this->items ) );
  
  		$style = '';
  		foreach ( $this->items as $userid => $user_object ) {
! 			$role = reset( $user_object->roles );
  
! 			if ( is_multisite() && empty( $role ) )
  				continue;
  
  			$style = ( ' class="alternate"' == $style ) ? '' : ' class="alternate"';
--- 193,211 ----
  		if ( ! $this->is_site_users )
  			$post_counts = count_many_users_posts( array_keys( $this->items ) );
  
+ 		$editable_roles = array_keys( get_editable_roles() );
+ 
  		$style = '';
  		foreach ( $this->items as $userid => $user_object ) {
! 			if ( count( $user_object->roles ) <= 1 ) {
! 				$role = reset( $user_object->roles );
! 			} elseif ( $roles = array_intersect( array_values( $user_object->roles ), $editable_roles ) ) {
! 				$role = reset( $roles );
! 			} else {
! 				$role = reset( $user_object->roles );
! 			}
  
! 			if ( is_multisite() && empty( $user_object->allcaps ) )
  				continue;
  
  			$style = ( ' class="alternate"' == $style ) ? '' : ' class="alternate"';
***************
*** 218,224 ****
  		global $wp_roles;
  
  		if ( !( is_object( $user_object ) && is_a( $user_object, 'WP_User' ) ) )
! 			$user_object = new WP_User( (int) $user_object );
  		$user_object->filter = 'display';
  		$email = $user_object->user_email;
  
--- 228,234 ----
  		global $wp_roles;
  
  		if ( !( is_object( $user_object ) && is_a( $user_object, 'WP_User' ) ) )
! 			$user_object = get_userdata( (int) $user_object );
  		$user_object->filter = 'display';
  		$email = $user_object->user_email;
  
***************
*** 231,242 ****
  		// Check if the user for this row is editable
  		if ( current_user_can( 'list_users' ) ) {
  			// Set up the user editing link
! 			// TODO: make profile/user-edit determination a separate function
! 			if ( get_current_user_id() == $user_object->ID ) {
! 				$edit_link = 'profile.php';
! 			} else {
! 				$edit_link = esc_url( add_query_arg( 'wp_http_referer', urlencode( stripslashes( $_SERVER['REQUEST_URI'] ) ), "user-edit.php?user_id=$user_object->ID" ) );
! 			}
  
  			// Set up the hover actions for this user
  			$actions = array();
--- 241,247 ----
  		// Check if the user for this row is editable
  		if ( current_user_can( 'list_users' ) ) {
  			// Set up the user editing link
! 			$edit_link = esc_url( add_query_arg( 'wp_http_referer', urlencode( stripslashes( $_SERVER['REQUEST_URI'] ) ), get_edit_user_link( $user_object->ID ) ) );
  
  			// Set up the hover actions for this user
  			$actions = array();
***************
*** 256,262 ****
  			$edit .= $this->row_actions( $actions );
  
  			// Set up the checkbox ( because the user is editable, otherwise its empty )
! 			$checkbox = "<input type='checkbox' name='users[]' id='user_{$user_object->ID}' class='$role' value='{$user_object->ID}' />";
  
  		} else {
  			$edit = '<strong>' . $user_object->user_login . '</strong>';
--- 261,268 ----
  			$edit .= $this->row_actions( $actions );
  
  			// Set up the checkbox ( because the user is editable, otherwise its empty )
! 			$checkbox = '<label class="screen-reader-text" for="cb-select-' . $user_object->ID . '">' . sprintf( __( 'Select %s' ), $user_object->user_login ) . '</label>'
! 						. "<input type='checkbox' name='users[]' id='user_{$user_object->ID}' class='$role' value='{$user_object->ID}' />";
  
  		} else {
  			$edit = '<strong>' . $user_object->user_login . '</strong>';
